Bug 203303 - ohci_hcd driver hangs with usbserial and EVDO wireless card
ohci_hcd driver hangs with usbserial and EVDO wireless card
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-20 20:58 EDT by Russell Harrison
Modified: 2015-01-04 17:28 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:14:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Harrison 2006-08-20 20:58:11 EDT
+++ This bug was initially created as a clone of Bug #177594 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050716
Firefox/1.0.6

Description of problem:
The Kyocera "Passport 1xEV-DO PC Card" KPC650, which uses the Qualcomm MSM6500
and some NEC USB to PCCard chip, plugged into a Ricoh RL5c475 chipped CardBus to
PCI bridge card, ohci_hcd driver module appears to hang after downloading around
a megabyte of data at average EVDO speeds above 400kbps.  The upload data path
never seems to hang, but it also runs at a lower maximum speed.  Packets can go
out, but no packets can come in.

Removing and re-installing the ohci_hcd driver module restores normal operation.


Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1653_FC4

How reproducible:
Always

Steps to Reproduce:
1. install any variation of the usbserial driver module.
2. establish ppp connection.
3. wget some multi-megabyte file.


Actual Results:  download will hang after about 700-1000kB.

Additional info:

With usbserial debugging turned on, packets can be seen to still arrive at the
usbserial driver module, but nothing comes out of the ppp interface.  Only
uninstalling and re-installing the ohci_hcd driver module will restore operation.

-- Additional comment from zaitcev@redhat.com on 2006-01-11 20:32 EST --
http://marc.theaimsgroup.com/?l=linux-usb-devel&m=113631121212275&w=2


-- Additional comment from davej@redhat.com on 2006-02-03 00:45 EST --
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.


-- Additional comment from james@nurealm.net on 2006-02-03 00:53 EST --
This problem has already been confirmed to exist with the 2.6.15 kernel.  Same
problem, as above.

-- Additional comment from rtlm10@gmail.com on 2006-08-20 20:55 EST --
This sounds very related to the problem discused at:
http://www.linuxquestions.org/questions/showthread.php?t=300962

and the resulting patch at:
http://www.junxion.com/opensource/linux_highspeed_usbserial.html

Am I correct that the problems are one and the same?  Also, I'm seeing the issue
in FC5.
Comment 1 Pete Zaitcev 2006-08-20 21:57:20 EDT
I have no idea just why usbserial uses the maximum packet size to size its
buffers. These two sizes have nothing in common, but perhaps some simpler
serial chips had difficulties handing transfers longer than one buffer.
If so, the buffer size ought to be set in a subdriver instead of usb-serial.

The reference webpage do not explain how the hang happens, so although it
may be relevant, it's not the last word in this issue.
Comment 2 Dave Jones 2006-10-16 20:34:46 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Dave Jones 2006-11-24 18:03:30 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.
Comment 4 Russell Harrison 2006-11-27 11:50:34 EST
Still valid
Comment 5 Bug Zapper 2008-04-03 23:33:37 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 12:14:53 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.